/**
  ******************************************************************************
  * @file    system_define.h
  * @author  SINOMCU-AE
  * @brief   Header file of mian.c file.
  *          Include needed and user application head file
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, SinoMCU shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu All rights reserved.</center></h2>
  *
  ******************************************************************************
  */

#ifndef __SYSTEM_DEF_H
#define __SYSTEM_DEF_H

#include "stdio.h"
#include "ms32f0xx.h"
#include "user_config.h"  

#include "ms32f0xx_it.h"
#include "SysTick_Delay.h"

#include "GPIO_CFG.h"
#include "USART1_CFG.h"
#include "ADC_CFG.h"
#include "TIMER_CFG.h"

#include "ADC_user.h"

int main (void);
void Timer_BRK_UP_TRG_COM_Callback(void);
void Timer_CC4_Callback(void); 
void Timer_CC3_Callback(void); 
void sysclk_init(void);

#endif /* __SYSTEM_DEF_H */

/******************************** END OF FILE *********************************/
